Bug 168256 - No match for USB device: mfr "Brother" model "HL-2040 series" desc "" cmdset "PJL,HBP"
No match for USB device: mfr "Brother" model "HL-2040 series" desc "" ...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: foomatic (Show other bugs)
3
athlon Linux
medium Severity low
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-13 21:11 EDT by Kim Muma
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-21 04:49:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kim Muma 2005-09-13 21:11:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8b2) Gecko/20050507 Firefox/1.0+

Description of problem:
Not necessarily a problem...The printer (Brother HL-2040) was not recognized, but seems to work fine with the 'hl1250' driver from the "Brother" manufacturer listing. Haven't really punded on it yet, but it seems to do alright with 600x600 resolution - 600x1200 resolution causes the page to be printed in 2 vertical halves...otherwise most things print fairly well.
Fedora Core-3: non-standard kernel (2.6.13)

Version-Release number of selected component (if applicable):
foomatic-3.0.2-3

How reproducible:
Always

Steps to Reproduce:
1.open xterm
2.type 'system-config-printer' and press return
3.watch for the warning message in to std-err in the terminal
  

Actual Results:  got this output:
~]# system-config-printer
No match for USB device:
  mfr "Brother"
  model "HL-2040 series"
  desc ""
  cmdset "PJL,HBP"
Please report this message in Bugzilla:
  https://bugzilla.redhat.com/bugzilla
Choose 'foomatic' as the component.



Expected Results:  - Fedora should have recognized the printer and installed the drivers and setup the LP queue and printed my resume and paid my taxes and got my dog back from my girlfriend that left me ...

Additional info:
Comment 1 Tim Waugh 2005-09-21 04:49:10 EDT
This printer does not have an entry in the foomatic database at all yet.

Thanks for the report.  Please submit this information to the
linuxprinting project at:

  http://www.linuxprinting.org/contribute.html#data

Thanks.

Note You need to log in before you can comment on or make changes to this bug.